<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">รูปแบบผลิตภัณฑ์ - Non-Credit Product</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับรูปแบบผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null) && userRole === 'PO'">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!-- -------------------------------------------------next button ---------------------------------------- -->
<!-- function ลูกศรย้อนกลับ / หน้าถัดไป -->
<div>
  <div class="row">
    <div class="col-md-12">
      <div (click)="next_step('back')" class="button-next pull-left" *ngIf="checkLocal !== '0' && checkLocal !== 'A'">
        &lt; ย้อนกลับ
      </div>
      <div (click)="next_step('next')" class="button-next pull-right"
        [ngClass]="{'button-next-non': pageLast === 'last'}">
        รูปแบบผลิตภัณฑ์หน้าถัดไป &gt;
      </div>
      <br />
    </div>
  </div>
</div>

<br>
<!-- ====================================================================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">

        <app-non-credit [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-non-credit>

        <!-- --------------------------------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div *ngIf="(validate === true || validate === null) && userRole === 'PO'">
          <div class="row">
            <div class="col-12">
              <div class="typeofcollateral">
                <p class="head-detal">อัปโหลดเอกสาร</p>
                <div class="dropzone">
                  <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                    (change)="onSelectFile($event)" [(ngModel)]="attachments" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
              application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
              application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
              .jpg,.png" />
                  <!-- accept="application/pdf" -->
                  <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                  <a style="font-size: 18px; color: #00a6e6;"
                    for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
                </div>
              </div>
            </div>
          </div>
          <br />
          <div class="row">
            <div class="col-12">
              <!-- <div class="table_files" > -->
              <table mat-table [dataSource]="dataSource_file" class="upload__file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + " KB" }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
              <br />
              <br />
              <!-- </div> -->
            </div>
          </div>
          <!-- ======================================================================================================================= -->
        </div>

      </div>
    </div>
  </div>
  <!-- ============================================Read Only========================================================= -->
  <div *ngFor="let present of listSummaryStep4_5 ; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">


          <!-- ---------------------------------------- ประเภทผลิตภัณฑ์และช่องทางการให้บริการ --------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">ประเภทผลิตภัณฑ์และช่องทางการให้บริการ</p>
              <div class="body-div">
                <!-- ======================================= ประเภทการนำเสนอ ======================================== -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">ประเภทการนำเสนอ</p>
                  </div>
                  <div class="col-12 body-detal ">
                    <mat-radio-group class="presentationType" aria-label="Select an option"
                      [(ngModel)]="presentation_type" (ngModelChange)="changeSaveDraft()" disabled>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="บัตรเครดิต"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'บัตรเครดิต','checkbox-detail-false': presentation_type !== 'บัตรเครดิต'}"
                          (click)="presentation_type = 'บัตรเครดิต'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                          บัตรเครดิต</div>
                      </div>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="บัตรอิเล็กทรอนิกส์"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'บัตรอิเล็กทรอนิกส์','checkbox-detail-false': presentation_type !== 'บัตรอิเล็กทรอนิกส์'}"
                          (click)="presentation_type = 'บัตรอิเล็กทรอนิกส์'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                          บัตรอิเล็กทรอนิกส์</div>
                      </div>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="เงินอิเล็กทรอนิกส์"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'เงินอิเล็กทรอนิกส์','checkbox-detail-false': presentation_type !== 'เงินอิเล็กทรอนิกส์'}"
                          (click)="presentation_type = 'เงินอิเล็กทรอนิกส์'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                          เงินอิเล็กทรอนิกส์</div>
                      </div>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="เงินฝาก"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'เงินฝาก','checkbox-detail-false': presentation_type !== 'เงินฝาก'}"
                          (click)="presentation_type = 'เงินฝาก'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                          เงินฝาก</div>
                      </div>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="ประกันภัย"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'ประกันภัย','checkbox-detail-false': presentation_type !== 'ประกันภัย'}"
                          (click)="presentation_type = 'ประกันภัย'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                          ประกันภัย</div>
                      </div>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="กองทุน"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'กองทุน','checkbox-detail-false': presentation_type !== 'กองทุน'}"
                          (click)="presentation_type = 'กองทุน'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                          กองทุน</div>
                      </div>
                      <div class="d-flex align-items-stretch radio-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-radio-button value="อื่นๆ"></mat-radio-button>
                        </div>
                        <div class="bd-highlight radio-detail"
                          [ngClass]="{'checkbox-detail-true': presentation_type === 'อื่นๆ','checkbox-detail-false': presentation_type !== 'อื่นๆ'}"
                          (click)="presentation_type = 'อื่นๆ'; changeSaveDraft();">อื่นๆ</div>
                      </div>
                    </mat-radio-group>
                    <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="stepThreeNonCerdit.productType.otherDetail" (modelngModelChange)="changeSaveDraft()"
                      disabled>
                  </div>
                </div>

                <!-- ======================================= ช่องทางนำเสนอบริการ ======================================== -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">ช่องทางนำเสนอบริการ</p>
                  </div>
                  <div class="col-12 body-detal-checkbox">
                    <div class="row">
                      <div class="col-md-3">
                        <div class="row">
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);"
                                  [(ngModel)]="serviceChannels.generalBranch" (ngModelChange)="changeSaveDraft()"
                                  [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">
                                สาขาทั่วไป</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.electronics"
                                  (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">
                                สาขาอิเล็กทรอนิกส์</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);"
                                  [(ngModel)]="serviceChannels.businessOffice" (ngModelChange)="changeSaveDraft()"
                                  [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">
                                สำนักงานธุรกิจ</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.CBC"
                                  (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">CBC</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.blockChain"
                                  (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">
                                Blockchain</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.callCenter"
                                  (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">Call Center</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.ATM"
                                  (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">ATM</div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-9">
                        <div class="row">
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);"
                                  (ngModelChange)="clearServiceDeliveryDetailDigitalChannels(); changeSaveDraft()"
                                  [(ngModel)]="serviceChannels.digitalChannels" [disabled]="serviceDisabled">
                                </mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">ช่องทางดิจิทัล</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <!-- <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="serviceChannels.detailDigitalChannels" (ngModelChange)="changeSaveDraft()" readonly> -->
                            {{serviceChannels.detailDigitalChannels}}
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);"
                                  (ngModelChange)="clearServiceDeliveryDetailNonBank(); changeSaveDraft()"
                                  [(ngModel)]="serviceChannels.nonBank" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">ช่องทางอื่นที่ไม่ใช่ของธนาคาร</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <!-- <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="serviceChannels.detailNonBank" (ngModelChange)="changeSaveDraft()" readonly> -->
                            {{serviceChannels.detailNonBank}}
                          </div>
                          <div class="col-12">
                            <div class="d-flex align-items-stretch checkbox-layout">
                              <div class="bd-highlight checkbox-box">
                                <mat-checkbox style="filter: grayscale(100%);"
                                  (ngModelChange)="clearServiceDeliveryDetailEtc(); changeSaveDraft()"
                                  [(ngModel)]="serviceChannels.etc" [disabled]="serviceDisabled"></mat-checkbox>
                              </div>
                              <div class="bd-highlight checkbox-detail">อื่นๆ</div>
                            </div>
                          </div>
                          <div class="col-12">
                            <!-- <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="serviceChannels.detailEtc" (ngModelChange)="changeSaveDraft()" readonly> -->
                            {{serviceChannels.detailEtc}}
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- ======================================= ผลิตภัณฑ์อื่นที่อยู่ภายใต้ช่องทาง (เฉพาะกรณีช่องทางดิจิทัล) ======================================== -->
                <div class="row" [ngStyle]="{'display': !(serviceChannels.digitalChannels == true)? 'none' : '' }">
                  <div class="col-12">
                    <p class="head-detal">ผลิตภัณฑ์อื่นที่อยู่ภายใต้ช่องทาง (เฉพาะกรณีช่องทางดิจิทัล)</p>
                  </div>
                  <div class="col-12">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter" disabled
                      placeholder="ระบุรายละเอียดความต้องการของกลุ่มเป้าหมาย" style="height: 261px;"
                      (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.productOrther"></textarea>
                  </div>
                </div>

                <!-- ======================================= ระบบงานหลักที่เกี่ยวข้อง ======================================== -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">ระบบงานหลักที่เกี่ยวข้อง</p>
                  </div>
                  <div class="col-12 mb-3">
                    <table mat-table [dataSource]="dataSource" class="main-work-systems">
                      <!-- Position Column -->
                      <ng-container matColumnDef="bank">
                        <th mat-header-cell *matHeaderCellDef style="width: 45%;">ธนาคาร</th>
                        <td mat-cell *matCellDef="let element"> {{element.bank}} </td>
                      </ng-container>

                      <!-- Position Column -->
                      <ng-container matColumnDef="outsource">
                        <th mat-header-cell *matHeaderCellDef style="width: 45%;"> หน่วยงานภายนอก (Third Party) </th>
                        <td mat-cell *matCellDef="let element"> {{element.outsource}} </td>
                      </ng-container>

                      <ng-container matColumnDef="delete">
                        <th mat-header-cell *matHeaderCellDef style="width: 10%;"></th>
                        <td mat-cell *matCellDef="let element;let i = index">
                          <!-- <a style="padding-left: 8px; color: #00A6E6;cursor: pointer;" (click)="removedata(i)">ลบข้อมูล</a> -->
                        </td>
                      </ng-container>
                      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                    </table>
                  </div>
                </div>
              </div>
            </div>

            <!-- ---------------------------------------------------------------------------------------------------------------------- -->

            <!-- ====================================================================================================================== -->
            <div class="col-12">
              <p class="head-detal">กลุ่มเป้าหมายและรายละเอียดผลิตภัณฑ์</p>
              <div class="body-div">
                <!-- ======================================= กลุ่มเป้าหมายและรายละเอียดผลิตภัณฑ์ ============================================= -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal_sub">กลุ่มเป้าหมาย/ผู้ใช้บริการ <span style="color: #999999;">
                        (สามารถเลือกได้มากกว่า 1
                        ช่องทาง)</span></p>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox [(ngModel)]="targetGroup.individual"
                          (ngModelChange)="clearTargetGroupIndividual()" disabled>
                        </mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail"
                        [ngClass]="{'checkbox-detail-true': targetGroup.individual === true,'checkbox-detail-false': targetGroup.individual === false}"
                        disabled>
                        <b>บุคคลธรรมดา</b>
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row subCheckBox">
                      <div class=" col-12">
                        <div class="d-flex align-items-stretch checkbox-layout">
                          <div class="bd-highlight checkbox-box">
                            <mat-checkbox [(ngModel)]="targetGroup.individual_thai" (ngModelChange)="changeSaveDraft()"
                              disabled></mat-checkbox>
                          </div>
                          <div class="bd-highlight checkbox-detail"
                            [ngClass]="{'checkbox-detail-true': targetGroup.individual_thai === true,'checkbox-detail-false': targetGroup.individual_thai === false}"
                            disabled>
                            สัญชาติไทย</div>
                        </div>
                        <div class="d-flex align-items-stretch checkbox-layout">
                          <div class="bd-highlight checkbox-box">
                            <mat-checkbox [(ngModel)]="targetGroup.individual_foreigner"
                              (ngModelChange)="changeSaveDraft()" disabled></mat-checkbox>
                          </div>
                          <div class="bd-highlight checkbox-detail"
                            [ngClass]="{'checkbox-detail-true': targetGroup.individual_foreigner === true,'checkbox-detail-false': targetGroup.individual_foreigner === false}"
                            disabled>
                            ชาวต่างชาติ</div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox [(ngModel)]="targetGroup.legalEntity"
                          (ngModelChange)="clearTargetGroupIndividual()" disabled>
                        </mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail"
                        [ngClass]="{'checkbox-detail-true': targetGroup.legalEntity === true,'checkbox-detail-false': targetGroup.legalEntity === false}"
                        disabled>
                        <b>นิติบุคคล</b>
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row subCheckBox">
                      <div class=" col-12">
                        <div class="d-flex align-items-stretch checkbox-layout">
                          <div class="bd-highlight checkbox-box">
                            <mat-checkbox [(ngModel)]="targetGroup.legalEntity_thai" (ngModelChange)="changeSaveDraft()"
                              disabled></mat-checkbox>
                          </div>
                          <div class="bd-highlight checkbox-detail"
                            [ngClass]="{'checkbox-detail-true': targetGroup.legalEntity_thai === true,'checkbox-detail-false': targetGroup.legalEntity_thai === false}"
                            disabled>
                            สัญชาติไทย</div>
                        </div>
                        <div class="d-flex align-items-stretch checkbox-layout">
                          <div class="bd-highlight checkbox-box">
                            <mat-checkbox [(ngModel)]="targetGroup.legalEntity_foreigner"
                              (ngModelChange)="changeSaveDraft()" disabled> </mat-checkbox>
                          </div>
                          <div class="bd-highlight checkbox-detail"
                            [ngClass]="{'checkbox-detail-true': targetGroup.legalEntity_foreigner === true,'checkbox-detail-false': targetGroup.legalEntity_foreigner === false}"
                            disabled>
                            ชาวต่างชาติ</div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- ========================================= ลักษณะกลุ่มเป้าหมาย ==================================================== -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">ลักษณะกลุ่มเป้าหมาย</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดลักษณะกลุ่มเป้าหมาย"
                      style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.targetText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image1.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>

                </div>
                <br>

                <!-- ----------------------------------------- คุณสมบัติผู้ใช้บริการ -------------------------------------------------- -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">คุณสมบัติผู้ใช้บริการ</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดคุณสมบัติผู้ใช้บริการ"
                      style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.propertyText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image2.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>

                </div>
                <br>

                <!-- ----------------------------------------- ขอบเขตการให้บริการ -------------------------------------------------- -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">ขอบเขตการให้บริการ</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดขอบเขตการให้บริการ"
                      style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.scopeText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image3.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <br>

                <!-- ----------------------------------------- เงื่อนไขผลิตภัณฑ์ -------------------------------------------------- -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">เงื่อนไขผลิตภัณฑ์</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดเงื่อนไขผลิตภัณฑ์"
                      style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.conditionText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image4.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>

                </div>
                <br>

                <!-- ----------------------------------------- หน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา -------------------------------------------------- -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">หน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดหน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา"
                      style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.dutyText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image5.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image5; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image5[i]" class="photo" (click)="image_click(5, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- ----------------------------------------- ค่าธรรมเนียม -------------------------------------------------- -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">ค่าธรรมเนียม</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดค่าธรรมเนียม"
                      style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.feeText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image6.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image6; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image6[i]" class="photo" (click)="image_click(6, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- ----------------------------------------- อื่นๆ (ระบุ) -------------------------------------------------- -->
                <div class="row">
                  <div class="col-12">
                    <p class="head-detal">อื่นๆ (ระบุ)</p>
                  </div>
                  <div
                    style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                      placeholder="ระบุรายละเอียดอื่นๆ" style="min-height:130px;background-color:#e9ecef;border:0;"
                      [(ngModel)]="stepThreeNonCerdit.otherText" disabled></textarea>
                    <div style="height: auto;position:relative;background-color:#e9ecef;">
                      <div class="col-12">
                        <div>
                          <div class="input_upload" style="color: #999999;min-height:130px">
                            <hr style="margin: 0px;" />
                            {{ image7.length }} ไฟล์ภาพที่แนบมา

                            <div class="image_row">
                              <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                                <div class="unnon_image_out" *ngFor="let item of image7; index as i">
                                  <div class="unnon_image">
                                    <img [src]="image7[i]" class="photo" (click)="image_click(7, i)" />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>


                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- ===================================================download file============================================= -->
                <div>
                  <label style="
                color: #999999;
                font-family: Prompt;
                font-size: 18px;
                font-weight: 500;
                letter-spacing: 0;
                line-height: 28px;
              ">ไฟล์เอกสารเพิ่มเติม</label>
                  <br />
                  <div class="row">
                    <div class="table_files">
                      <table mat-table [dataSource]="dataSource_file_summary">
                        <!-- Position Column -->
                        <ng-container matColumnDef="fileName">
                          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                          <td mat-cell *matCellDef="let element">
                            {{ element.fileName }}
                          </td>
                        </ng-container>

                        <!-- Name Column -->
                        <ng-container matColumnDef="fileSize">
                          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                          <td mat-cell *matCellDef="let element">
                            {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                          </td>
                        </ng-container>

                        <!-- Name Column -->
                        <ng-container matColumnDef="download">
                          <th mat-header-cell *matHeaderCellDef></th>
                          <td mat-cell *matCellDef="let element; let index = index">
                            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                          </td>
                        </ng-container>

                        <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                        <tr mat-row *matRowDef="
                      let row;
                      columns: displayedColumns_file_summary
                    "></tr>
                      </table>
                    </div>
                  </div>
                </div>
                <!-- ======================================================================== -->
              </div>
            </div>

            <!-- <div class="col-12">
        <br> <br> <br> <br>
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div> -->

          </div>


        </div>
      </div>
    </div>
  </div>
</div>

<br>
<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ? 'none' : '' }"
  *ngIf="(validate === true || validate === null) && userRole === 'PO'">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
  </div>
</div> -->
<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
    <br><br>
  </div>
</div> -->

<!-- ----------------------------------------- next button validate = true-------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="(validate=== null ||validate === true)">
  <div [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }">
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">ถัดไป</button>
      </div>
    </div>
    <br><br>
  </div>
</div>


<!-- ----------------------------------------- viewNext validate = false -------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="validate === false">
  <div class="row" [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next2" type="button" (click)="viewNext()">ถัดไป</button>
    </div>
  </div>
  <br><br>
</div>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModalNonCredit" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
        title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
    </div>
    <br>
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
            [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
            (click)="modalmainImageIndex = i">
        </div>
      </div>
    </div>
  </div>
</div>